# Countries

Gather an overview of all the countries available within your subscription via the countries' endpoint. Retrieve basic information or enrich your response. The countries' endpoint helps you with assigning leagues to the country they belong to.

Use one of our 3 countries' endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET All Countries:** returns all the countries that are available within your subscription.
* **Get Country by ID:** returns information from your requested country ID.
* **GET Countries by Search:** returns country information that matches your search query.

#### Include options

[`continent`](/v3/core-api/entities/core.md#continent) [`leagues`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#league) [`regions`](/v3/core-api/entities/core.md#region)

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the countries' endpoints are:

* [Country](/v3/core-api/entities/core.md#country)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/core-api/endpoints/countries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
